Subject: Re: du does not find all directories
From: [email-masked] (Ken Evans)

6 Feb 1997 23:16:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked], [email-masked]
In-reply-to: <[email-masked]>
	([email-masked])
Original-Sender: [email-masked]

"GB" == Gary Browning <[email-masked]> writes:

 GB> I do not have gnu-win32 in front of me right now but typically
 GB> the 'du' command has a '-k' flag that reports the sizes in
 GB> Kbytes.  To verify that this is working, try:
    
 GB>    du -sk large_file ls -l large_file

 GB> FYI, last time I used this on gnu-win32 (I do not remember which
 GB> release), I still was not convinced it was correct.

 GB> - Gary

    Here goes:

C:\WINDOWS>dir system.bad

 Volume in drive C is SEAGATE
 Volume Serial Number is 155D-07CF
 Directory of C:\WINDOWS

SYSTEM   BAD       994,684  11-17-96  3:06p SYSTEM.BAD
         1 file(s)        994,684 bytes
         0 dir(s)     264,503,296 bytes free

C:\WINDOWS>du system.bad
486     system.bad

C:\WINDOWS>ls system.bad
system.bad

C:\WINDOWS>ls -l system.bad
-rw-r--r--   1 500      everyone   994684 Nov 17 15:06 system.bad

C:\WINDOWS>du -sk system.bad
486     system.bad

C:\WINDOWS>

     And it still doesn't get all the bytes and directories, but it
looks like 2K is the magic number, -k or not.

	-Ken

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".